org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<U>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<U>

Type Parameters:
  `U` -

Enclosing class:
  HierarchyWizardModelGrouping<T>

    public static class HierarchyWizardModelGrouping.HierarchyWizardGroupingInterval<U>
    extends java.lang.Object

This class represents an interval.

Author:
  Fabian Prasser

### Field Summary

Fields
`AggregateFunction<U>` `function` Functio
`U` `max` Max
`U` `min` Min

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardGroupingInterval(HierarchyBuilderIntervalBased.Interval<U> interval)`
`HierarchyWizardGroupingInterval(U min, U max, AggregateFunction<U> function)`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### min

    public U min

Min

#### max

    public U max

Max

#### function

    public AggregateFunction<U> function

Functio

### Constructor Detail

#### HierarchyWizardGroupingInterval

    public HierarchyWizardGroupingInterval(HierarchyBuilderIntervalBased.Interval<U> interval)

Parameters:
  `interval` -

#### HierarchyWizardGroupingInterval

    public HierarchyWizardGroupingInterval(U min,
                                           U max,
                                           AggregateFunction<U> function)

Parameters:
  `min` -
  `max` -
  `function` -